cancel
Showing results for 
Search instead for 
Did you mean: 

I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

SOLVED
Highlighted
New Contributor

I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

I just upgraded to FireFox 22.0, and am now getting a bunch of Javascript error pop-ups when I try to sue Gmail. The error message is: Error: Illegal operation on WrappedNative prototype object

1 ACCEPTED SOLUTION

Accepted Solutions
New Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

'Disable your add-ons and add them one by one (each requiring a restart). If you have some sort of downloader add-on, this can be conflicting with your java/web browser. Hope this helps.'

21 REPLIES
Legendary Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

When you have a problem with one particular site, a good "first thing to try" is clearing your Firefox cache and deleting your saved cookies for the site.

(1) Bypass Firefox's Cache

Use Ctrl+Shift+r to reload the page fresh from the server.

Alternately, you also can clear Firefox's cache completely using:

orange Firefox button (or Tools menu) > Options > Advanced

On the Network mini-tab > Cached Web Content : "Clear Now"

If you have a large hard drive, this might take a few minutes.

(2) Remove the site's cookies (save any pending work first). While viewing a page on the site:

  • right-click and choose View Page Info > Security > "View Cookies"
  • Alt+t (open the classic Tools menu) > Page Info > Security > "View Cookies"

In the dialog that opens, you can remove your Google cookies individually.

Then try reloading the page. Does that help?

Legendary Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

If the above doesn't work, could you check for extension updates here:

orange Firefox button (or Tools menu) > Add-ons > Extensions category

click the "gear" icon > Check for Updates


If the problem continues, one of your extensions might not have been updated for API changes in Firefox 22. You can disable ALL nonessential extensions on the above tab, or try Firefox's Safe Mode to test the theory.

Firefox's Safe Mode is a standard diagnostic tool to bypass interference by extensions (and some custom settings). More info: Troubleshoot Firefox issues using Safe Mode.

You can restart Firefox in Safe Mode using

Help > Restart with Add-ons Disabled

In the dialog, click "Start in Safe Mode" (not Reset)

Any difference?

New Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

I had the same problem and going through the steps you've outlined, I found the faulty extension - CloudMagic - just wanted to let you know. I have just sent them an email about it which hopefully will result if the extension to be fixed. FYI

New Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

I have the same Problem when i use the XINHA WYSIWYG Editor. http://xinha.webfactional.com/

Save mode and clearing the cache does not change anything.

New Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

I am getting the same error message for every website I visit, sometimes several times in a row for a single site. Very annoying!

Legendary Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

Hi heiland, you wrote:

I have the same Problem when i use the XINHA WYSIWYG Editor. http://xinha.webfactional.com/.

Does it depend on which options you specify in the editor? When I try the "Restricted" demo (second button) on this page I don't get any errors: http://xinha.webfactional.com/wiki/Examples.

Legendary Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

Hi jazzshrink, did clearing cache and cookies, and/or Safe Mode, make any difference for you?

New Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

Thanx for your answer. The example at the XINHA Website works . For the moment I found a workaround (disabling the XINHA CSS plugin)

New Contributor

Re: I just upgraded to FireFox 22.0, and now I get a Javascript error (Error: Illegal operation on WrappedNative prototype object). What can I do?

me too!!!!